org.apache.ignite.internal.util

## Class IgniteCollectors

- java.lang.Object
- - org.apache.ignite.internal.util.IgniteCollectors

    public class IgniteCollectors
    extends Object

Custom collectors for `Stream` API.

### Method Summary

All Methods Static Methods Concrete Methods
`static <T,R> Collector<? super IgniteInternalFuture,? super GridCompoundFuture<T,R>,GridCompoundFuture<T,R>>` `toCompoundFuture()` Collector of `IgniteInternalFuture` inheritors stream to `GridCompoundFuture`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### toCompoundFuture

    public static <T,R> Collector<? super IgniteInternalFuture,? super GridCompoundFuture<T,R>,GridCompoundFuture<T,R>> toCompoundFuture()

Collector of `IgniteInternalFuture` inheritors stream to `GridCompoundFuture`.

Type Parameters:
  `T` - Result type of inheritor `IgniteInternalFuture`.
  `R` - Result type of `GridCompoundFuture`.
Returns:
  Compound future that contains all stream futures and initialized with `GridCompoundFuture.markInitialized()`.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022